Bug 178734 - kdemultimedia: cleanup .la files
kdemultimedia: cleanup .la files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 15:54 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 10:22:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-01-23 15:54:34 EST
kdemm's .la files (can) contain references to both libltdl.la and -lasound. 
 
If not fixed, need to add to -devel: 
Req: asound-devel 
 
To (IMO) fix: 
## clean .la files 
# if built without --without-libltdl: /usr/lib/libltdl.la 
sed -i -e "s@%{_libdir}/libltdl.la@@g" $RPM_BUILD_ROOT%{_libdir}/lib*.la ||: 
# alsa-lib/asound 
sed -i -e "s@-lasound@@g" $RPM_BUILD_ROOT%{_libdir}/lib*.la ||:
Comment 1 Ngo Than 2006-02-22 10:22:52 EST
>If not fixed, need to add to -devel: 
>Req: asound-devel 

i think you mean "alsa-lib-devel". It's now fixed in kdemultimedia-3.5.1-2.
Many thanks for your report.
Comment 2 Rex Dieter 2006-02-22 10:24:41 EST
asound-devel -> alsa-lib-devel (oops, of course)...

Note You need to log in before you can comment on or make changes to this bug.